#include<iostream>
#include<iomanip>
using namespace std;

void main()
{
	//decimal data types
	//float - 4 byte floating point number
	//double - 8 byte floating point number
	
	//variable name rules
	//no white space
	//no special characters (other than _ )
	//cannot start with a number

	const double GRAVITY = 9.8;
	double time = 0;
	double currentHeight;
	double initialHeight;

	//show 4 decimal positions
	cout.precision(4);
	cout.setf(ios_base::fixed);

	cout << "Initial Height of Object? ";
	cin >> initialHeight;
	currentHeight = initialHeight;

	//scope - where a variable is known

	while (currentHeight >= 0)
	{
		double currentSpeed = GRAVITY * time;
		currentHeight = initialHeight - (time * (currentSpeed / 2));
		cout << setw(10) << time;
		cout << setw(10) << currentSpeed;
		cout << setw(12) << currentHeight << endl;

		time = time + .001;
	}



}